/*

libname.c - A sample DLL

*/

/*...sincludes:0:*/
#include <stdio.h>

#include "dllimpl.h"
/*...e*/

static int count = 1;

DLLEXPORT int DLLENTRY sum(int a, int b) { return a+b; };
DLLEXPORT void DLLENTRY product(int a, int b, int *c) { *c = a*b; }
DLLEXPORT int DLLENTRY next(void) { return count++; }

DLLEXPORT int DLLENTRY outfile(void)
	{
	FILE *fp;
	if ( (fp = fopen("libname.dat", "w")) == NULL )
		return 0;
	fputs("Written by LIBNAME.DLL!\n", fp);
	fclose(fp);
	return 1;
	}

#if defined(DOS32)
int main(int term) { term=term; return 0; }
#endif

#if defined(xxDOS) || defined(AIX_LOAD)
DLL_EXPORT * __start(void)
	{
	static DLL_EXPORT exports[] =
		{
		(DLL_EP) sum    , "sum"    ,
		(DLL_EP) product, "product",
		(DLL_EP) next   , "next"   ,
		(DLL_EP) outfile, "outfile",
		0               , 0        ,
		};
	return exports;
	}
#endif

#if defined(NW)
extern void _dll_term(void);
DLLEXPORT void DLLENTRY _libname_term(void) { _dll_term(); }
#endif
