/*

dlluser.c - Code to be linked with  DLL users (Win32 version)

*/

/*...sincludes:0:*/
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#define	WIN32_LEAN_AND_MEAN
#define	BOOLEAN BOOLEANx
#include <windows.h>
#undef BOOLEAN

#include "dllimpl.h"
#include "dlluser.h"

/*...vdllimpl\46\h:0:*/
/*...vdlluser\46\h:0:*/
/*...e*/

DLL_EP dll_entrypoint(DLL *dll, const char *name, const char *args)
	{
	HINSTANCE hInst = (HINSTANCE) dll;
	char epname[1+100+1+3+1];
	sprintf(epname, "_%s@%s", name, args);
	return (DLL_EP) GetProcAddress(hInst. epname);
	}	

DLL *dll_load(const char *name)
	{
	return (DLL *) LoadLibrary(name);
	}

void dll_unload(DLL *dll)
	{
	HINSTANCE hInst = (HINSTANCE) dll;
	FreeLibrary(hInst);
	}

